Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class OrientationInterpolator

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Interpolator
                  |
                  +--shout3d.core.OrientationInterpolator

public class OrientationInterpolator
extends Interpolator
implements FieldObserver

An Orientation Interpolator

Field Summary
`float[]` | `defaultkeyValue`
`FloatArrayField` | `key`
`FloatArrayField` | `keyValue`
`FloatArrayField` | `value`

Fields inherited from class shout3d.core.Interpolator
`fraction`

Constructor Summary
`OrientationInterpolator()` Constructs a default Orientation Interpolator

Method Summary
`void` | `onFieldChange(Field theField, java.lang.Object userData)` This node watches one field, the keyValue field.
`void` | `update()` Call this to update the value field's value based on the current value of the fraction field.

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultkeyValue

    public final float[] defaultkeyValue

### key

    public final FloatArrayField key

### keyValue

    public final FloatArrayField keyValue

### value

    public final FloatArrayField value

Constructor Detail

### OrientationInterpolator

    public OrientationInterpolator()

  Constructs a default Orientation Interpolator

Method Detail

### update

    public void update()

  Call this to update the value field's value based on the current value of the fraction field. This is automatically called by the viewer, but you can call this at any time to force new output.
  Overrides:
    update in class Interpolator

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  This node watches one field, the keyValue field. When the keyValue changes, the quatKeyValue structure must be updated
  Specified by:
    onFieldChange in interface FieldObserver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD